XMLEntityManager.ScannedEntity (Xerces2 Implementation)
Date: 2014-11-21

org.apache.xerces.impl

## Class XMLEntityManager.ScannedEntity

- java.lang.Object
- - org.apache.xerces.impl.XMLEntityManager.Entity
  - - org.apache.xerces.impl.XMLEntityManager.ScannedEntity

- Enclosing class:
    XMLEntityManager

      public class XMLEntityManager.ScannedEntity
      extends XMLEntityManager.Entity

  Entity state.
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `baseCharOffset` Base character offset for computing absolute character offset.
    `char[]` | `ch` Character buffer.
    `int` | `columnNumber` Column number.
    `int` | `count` Count of characters in buffer.
    `java.lang.String` | `encoding` Auto-detected encoding.
    `org.apache.xerces.xni.XMLResourceIdentifier` | `entityLocation` entity location information
    `boolean` | `isExternal`
    `int` | `lineNumber` Line number.
    `boolean` | `literal` True if in a literal.
    `boolean` | `mayReadChunks`
    `int` | `position` Position in character buffer.
    `java.io.Reader` | `reader` Reader.
    `int` | `startPosition` Start position in character buffer.
    `java.io.InputStream` | `stream` Input stream.
    `java.lang.String` | `xmlVersion` XML version.

    - ### Fields inherited from class org.apache.xerces.impl.XMLEntityManager.Entity

      `inExternalSubset, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLEntityManager.ScannedEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier entityLocation, java.io.InputStream stream, java.io.Reader reader, byte[] byteBuffer, java.lang.String encoding, boolean literal, boolean mayReadChunks, boolean isExternal)` Constructs a scanned entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharacterOffset()`
    `int` | `getColumnNumber()`
    `java.lang.String` | `getEncoding()`
    `java.lang.String` | `getExpandedSystemId()`
    `int` | `getLineNumber()`
    `java.lang.String` | `getLiteralSystemId()`
    `java.lang.String` | `getXMLVersion()`
    `boolean` | `isEncodingExternallySpecified()` Returns whether the encoding of this entity was externally specified.
    `boolean` | `isExternal()` Returns true if this is an external entity.
    `boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
    `void` | `setEncodingExternallySpecified(boolean value)` Sets whether the encoding of this entity was externally specified.
    `void` | `setReader(java.io.InputStream stream, java.lang.String encoding, java.lang.Boolean isBigEndian)`
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class org.apache.xerces.impl.XMLEntityManager.Entity

      `clear, isEntityDeclInExternalSubset, setValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### stream

          public java.io.InputStream stream

      Input stream.

    - #### reader

          public java.io.Reader reader

      Reader.

    - #### entityLocation

          public org.apache.xerces.xni.XMLResourceIdentifier entityLocation

      entity location information

    - #### lineNumber

          public int lineNumber

      Line number.

    - #### columnNumber

          public int columnNumber

      Column number.

    - #### encoding

          public java.lang.String encoding

      Auto-detected encoding.

    - #### xmlVersion

          public java.lang.String xmlVersion

      XML version.

    - #### literal

          public boolean literal

      True if in a literal.

    - #### isExternal

          public boolean isExternal

    - #### ch

          public char[] ch

      Character buffer.

    - #### position

          public int position

      Position in character buffer.

    - #### baseCharOffset

          public int baseCharOffset

      Base character offset for computing absolute character offset.

    - #### startPosition

          public int startPosition

      Start position in character buffer.

    - #### count

          public int count

      Count of characters in buffer.

    - #### mayReadChunks

          public boolean mayReadChunks

  - ### Constructor Detail

    - #### XMLEntityManager.ScannedEntity

          public XMLEntityManager.ScannedEntity(java.lang.String name,
                                        org.apache.xerces.xni.XMLResourceIdentifier entityLocation,
                                        java.io.InputStream stream,
                                        java.io.Reader reader,
                                        byte[] byteBuffer,
                                        java.lang.String encoding,
                                        boolean literal,
                                        boolean mayReadChunks,
                                        boolean isExternal)

      Constructs a scanned entity.

  - ### Method Detail

    - #### isExternal

          public final boolean isExternal()

      Returns true if this is an external entity.
      Specified by:
        `isExternal` in class `XMLEntityManager.Entity`

    - #### isUnparsed

          public final boolean isUnparsed()

      Returns true if this is an unparsed entity.
      Specified by:
        `isUnparsed` in class `XMLEntityManager.Entity`

    - #### setReader

          public void setReader(java.io.InputStream stream,
                       java.lang.String encoding,
                       java.lang.Boolean isBigEndian)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getExpandedSystemId

          public java.lang.String getExpandedSystemId()

    - #### getLiteralSystemId

          public java.lang.String getLiteralSystemId()

    - #### getLineNumber

          public int getLineNumber()

    - #### getColumnNumber

          public int getColumnNumber()

    - #### getCharacterOffset

          public int getCharacterOffset()

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### getXMLVersion

          public java.lang.String getXMLVersion()

    - #### isEncodingExternallySpecified

          public boolean isEncodingExternallySpecified()

      Returns whether the encoding of this entity was externally specified.

    - #### setEncodingExternallySpecified

          public void setEncodingExternallySpecified(boolean value)

      Sets whether the encoding of this entity was externally specified.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.